import { request } from "@/utils/service"
import type * as Login from "./types/login"

/** 登录并返回 Token */
export function loginApi(data: Login.LoginRequestData) {
  return request<Login.LoginResponseData>(
    "apiUser",
    {
      url: "users/login",
      method: "post",
      data
    },
    true
  )
}

/** 获取用户详情 */
export function getUserInfoApi() {
  return request<Login.UserInfoResponseData>("apiUser", {
    url: "users/user",
    method: "get"
  })
}
